# Review at https://bugzilla.redhat.com/show_bug.cgi?id=563013

%global srcname remmina-gnome

Name:           gnome-applet-remmina
Version:        0.7.3
Release:        1%{?dist}
Summary:        GNOME panel applet for Remmina remote desktop client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://remmina.sourceforge.net/
Source0:        http://downloads.sourceforge.net/remmina/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avahi-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gettext intltool
Requires:       gnome-panel, remmina >= %{version}
# for easy installation
Provides:       %{srcname} = %{version}
# for smooth upgrades
Provides:       grdc-gnome = %{version}
Obsoletes:      grdc-gnome < %{version}
Provides:       gnome-applet-grdc = %{version}
Obsoletes:      gnome-applet-grdc < %{version}

%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for 
system administrators and travelers, who need to work with lots of remote 
computers in front of either large monitors or tiny netbooks. Remmina supports 
multiple network protocols in an integrated and consistent user interface. 
Currently RDP, VNC, XDMCP and SSH are supported.

This package includes the GNOME panel applet for Remmina.


%prep
%setup -qn %{srcname}-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{srcname}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{srcname}.lang
%defattr(-,root,root,-)
# FIXME add NEWS if not empty
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/remmina-applet
%{_libdir}/bonobo/servers/Remmina_Applet.server


%changelog
* Thu May 14 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.3-1
- Update to 0.7.3

* Wed Feb 24 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Thu Feb 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.1-1
- Initial package

